# Cinder

# cinder::qtime::MovieBase::Obj Struct Reference

`#include <QuickTime.h>`

Inherited by cinder::qtime::MovieGl::Obj, and cinder::qtime::MovieSurface::Obj.

List of all members.

## Public Member Functions
| Obj ()
virtual | ~Obj ()
void | prepareForDestruction ()
void | lock ()
void | unlock ()
virtual void | releaseFrame ()=0
virtual void | newFrame (CVImageBufferRef cvImage)=0
## Public Attributes
int32_t | mWidth
int32_t | mHeight
int32_t | mFrameCount
float | mDuration
bool | mLoaded
bool | mPlayable
bool | mPlayingForward
bool | mLoop
bool | mPalindrome
QTAudioFrequencyLevels * | mFFTData
FourCharCode | mFFTFourCharCode
uint32_t | mFFTNumBandLevels
uint32_t | mFFTNumChannels
QTVisualContextRef | mVisualContext
::Movie | mMovie
void(* | mNewFrameCallback )(long timeValue, void *refcon)
void * | mNewFrameCallbackRefcon
std::mutex | mMutex
DataSourceRef | mDataSource

## Constructor & Destructor Documentation

cinder::qtime::MovieBase::Obj::Obj | ( |  | ) |

Reimplemented in cinder::qtime::MovieGl::Obj.

cinder::qtime::MovieBase::Obj::~Obj | ( |  | ) | `[virtual]`

Reimplemented in cinder::qtime::MovieSurface::Obj, and cinder::qtime::MovieGl::Obj.

## Member Function Documentation

void cinder::qtime::MovieBase::Obj::prepareForDestruction | ( |  | ) |

void cinder::qtime::MovieBase::Obj::lock | ( |  | ) |

void cinder::qtime::MovieBase::Obj::unlock | ( |  | ) |

virtual void cinder::qtime::MovieBase::Obj::releaseFrame | ( |  | ) | `[pure virtual]`

Implemented in cinder::qtime::MovieSurface::Obj, and cinder::qtime::MovieGl::Obj.

virtual void cinder::qtime::MovieBase::Obj::newFrame | ( | CVImageBufferRef | cvImage | ) | `[pure virtual]`

Implemented in cinder::qtime::MovieSurface::Obj, and cinder::qtime::MovieGl::Obj.

## Member Data Documentation

int32_t cinder::qtime::MovieBase::Obj::mWidth

int32_t cinder::qtime::MovieBase::Obj::mHeight

int32_t cinder::qtime::MovieBase::Obj::mFrameCount

float cinder::qtime::MovieBase::Obj::mDuration

bool cinder::qtime::MovieBase::Obj::mLoaded

bool cinder::qtime::MovieBase::Obj::mPlayable

bool cinder::qtime::MovieBase::Obj::mPlayingForward

bool cinder::qtime::MovieBase::Obj::mLoop

bool cinder::qtime::MovieBase::Obj::mPalindrome

QTAudioFrequencyLevels* cinder::qtime::MovieBase::Obj::mFFTData

FourCharCode cinder::qtime::MovieBase::Obj::mFFTFourCharCode

uint32_t cinder::qtime::MovieBase::Obj::mFFTNumBandLevels

uint32_t cinder::qtime::MovieBase::Obj::mFFTNumChannels

QTVisualContextRef cinder::qtime::MovieBase::Obj::mVisualContext

::Movie cinder::qtime::MovieBase::Obj::mMovie

void(* cinder::qtime::MovieBase::Obj::mNewFrameCallback)(long timeValue, void *refcon)

void* cinder::qtime::MovieBase::Obj::mNewFrameCallbackRefcon

std::mutex cinder::qtime::MovieBase::Obj::mMutex

DataSourceRef cinder::qtime::MovieBase::Obj::mDataSource

The documentation for this struct was generated from the following files:

- include/cinder/qtime/QuickTime.h
- src/cinder/qtime/QuickTime.cpp